瀏覽代碼

* Add mipseb to the archtable too, since mips and mipseb are
both viable names for the mips big endian arch
* Update dpkg-architecure's archtable
* Removed the maintainer-configure portion in debian/rules, since
we should be shipping the source with all the auto* stuff
already generated anyway
* Removed the ltconfig patch, and resort to a debian/rules fix
to libtool itself after running configure, much cleaner, and
reversible since libtool is a generated file
* Use DESTDIR when installing instead of specifying all our
dest dirs seperately in the make line. Also fix some of the
make files to use DESTDIR when installing files
* Regenerated .po files and dpkg.pot. Also added update.sh to the po/
subdir for easier regenerating for cvs only
* Make release.sh generate .gmo files
* Removed shlibs.default.i386. This is an obsolete file. We also no
longer use /etc/dpkg/ directory.

Ben Collins 27 年之前
父節點
當前提交
46e7551276
共有 20 個文件被更改,包括 418 次插入351 次删除
  1. 1 0
      .cvsignore
  2. 20 0
      ChangeLog
  3. 2 2
      autogen.sh
  4. 0 1
      debian/.cvsignore
  5. 1 6
      debian/README.compile
  6. 13 1
      debian/changelog
  7. 0 13
      debian/ltconfig-1.3.2.diff
  8. 12 28
      debian/rules
  9. 0 15
      debian/shlibs.default.i386
  10. 7 6
      doc/Makefile.am
  11. 2 2
      main/processarc.c
  12. 311 262
      po/dpkg.pot
  13. 1 1
      po/en.po
  14. 1 1
      po/es.po
  15. 1 1
      po/fr.po
  16. 1 1
      po/ja_JP.ujis.po
  17. 20 0
      po/update.sh
  18. 12 2
      release.sh
  19. 9 9
      scripts/Makefile.am
  20. 4 0
      scripts/dpkg-architecture.pl

+ 1 - 0
.cvsignore

@@ -13,3 +13,4 @@ mkinstalldirs
 stamp-h.in
 intl
 config.log
+build

+ 20 - 0
ChangeLog

@@ -1,3 +1,23 @@
+Mon Oct 18 09:25:30 EDT 1999 Ben Collins <bcollins.debian.org>
+
+  * Add mipseb to the archtable too, since mips and mipseb are
+    both viable names for the mips big endian arch
+  * Update dpkg-architecure's archtable
+  * Removed the maintainer-configure portion in debian/rules, since
+    we should be shipping the source with all the auto* stuff
+    already generated anyway
+  * Removed the ltconfig patch, and resort to a debian/rules fix
+    to libtool itself after running configure, much cleaner, and
+    reversible since libtool is a generated file
+  * Use DESTDIR when installing instead of specifying all our
+    dest dirs seperately in the make line. Also fix some of the
+    make files to use DESTDIR when installing files
+  * Regenerated .po files and dpkg.pot. Also added update.sh to the po/
+    subdir for easier regenerating for cvs only
+  * Make release.sh generate .gmo files
+  * Removed shlibs.default.i386. This is an obsolete file. We also no
+    longer use /etc/dpkg/ directory.
+
 Sun Oct 17 13:40:46 EDT 1999 Ben Collins <bcollins.debian.org>
 
   * Removed references to dpkg(5) which seems to not exist anymore

+ 2 - 2
autogen.sh

@@ -4,9 +4,9 @@ copy=$1
 
 # Start by setting up everything for main tree
 aclocal -I ./automake
-autoheader
 gettextize $copy
 libtoolize --force $copy
+autoheader
 automake --add-missing --foreign $copy
 autoconf
 
@@ -14,7 +14,7 @@ autoconf
 cd utils
 aclocal -I ../automake
 autoheader
-automake --foreign $copy
+automake --foreign
 autoconf
 
 # Return to the previous directory

+ 0 - 1
debian/.cvsignore

@@ -1,4 +1,3 @@
-build
 tmp-main
 tmp-dev
 substvars

+ 1 - 6
debian/README.compile

@@ -1,13 +1,9 @@
-
 To compile this package you need to have some less-then-standard packages
 installed. Here's a list:
 
-automake
-autoconf
+perl
 debiandoc-sgml
 dpkg-perl
-gettext
-libtool
 libpaperg
 lout
 psutils
@@ -18,4 +14,3 @@ sgmlspm
 sp
 tetex-base
 tetex-bin
-

+ 13 - 1
debian/changelog

@@ -2,7 +2,9 @@ dpkg (1.4.1.17) unstable; urgency=low
 
   * Added --chuid option to start-stop-daemon to allow switching to
     a different uid when starting a process
-  * Added mipsel to the archtable for completeness
+  * Add mipseb and mipsel to the archtable too, since mips and mipseb are
+    both viable names for the mips big endian arch, and mipsel is also needed
+  * Update dpkg-architecure's archtable
   * Added --config option to update-alternatives to allow easy changing
     of the registered alternatives for a specific name
   * Updated the deb-control(5) man page with all the current fields
@@ -24,6 +26,16 @@ dpkg (1.4.1.17) unstable; urgency=low
   * Make dpkg give the builtin arch if there was an error while exec()'ing
     the C compiler with --print-architecture. We still fail if the
     output from gcc was bad in some way, since they may be of importance.
+  * Removed the maintainer-configure portion in debian/rules, since
+    we should be shipping the source with all the auto* stuff
+    already generated anyway
+  * Removed the ltconfig patch, and resort to a debian/rules fix
+    to libtool itself after running configure
+  * Use DESTDIR when installing instead of specifying all our
+    dest dirs seperately in the make line. Also fix some of the
+    make files to use DESTDIR when installing files
+  * Removed shlibs.default.i386. This is an obsolete file. We also no
+    longer use /etc/dpkg/ directory.
 
  -- Wichert Akkerman <wakkerma@debian.org>  UNRELEASED
 

+ 0 - 13
debian/ltconfig-1.3.2.diff

@@ -1,13 +0,0 @@
---- ltconfig.orig	Tue Jul  6 15:55:36 1999
-+++ ltconfig	Tue Jul  6 15:59:12 1999
-@@ -1200,8 +1200,8 @@ EOF
-   esac
- 
-   if test "$ld_shlibs" = yes; then
--    runpath_var=LD_RUN_PATH
--    hardcode_libdir_flag_spec='${wl}--rpath ${wl}$libdir'
-+    runpath_var=LD_LIBRARY_PATH
-+    hardcode_libdir_flag_spec=''
-     export_dynamic_flag_spec='${wl}--export-dynamic'
-     case $host_os in
-     cygwin* | mingw*)

+ 12 - 28
debian/rules

@@ -4,34 +4,18 @@ SHELL=bash
 
 .PHONY: clean build binary binary-trees binary-arch binary-indep
 
-BUILD := $(shell pwd)/debian/build
+BUILD := $(shell pwd)/build
 DIR := $(shell pwd)
 
 arch=$(shell dpkg --print-architecture)
 mcidir=debian/tmp-main/DEBIAN
 
 
-configure: Makefile.am configure.in
+$(BUILD)/config.status:
 	$(checkdir)
-	mkdir -p automake
-	aclocal -I ./automake
-	autoheader
-	gettextize --copy --force
-	libtoolize --copy --force
-	patch -p0 < debian/ltconfig-1.3.2.diff
-	automake --copy --add-missing --foreign
-	autoconf
-	cd utils ; \
-		aclocal -I ../automake ; \
-		autoheader ; \
-		automake --foreign ; \
-		autoconf
-
-$(BUILD)/config.status: configure
-	$(checkdir)
-	$(RM) -r debian/build
-	install -d debian/build
-	cd $(BUILD) && ../../configure \
+	$(RM) -r $(BUILD)
+	install -d $(BUILD)
+	cd $(BUILD) && $(DIR)/configure \
 		--enable-shared \
 		--prefix=/usr \
 		--datadir=/usr/share \
@@ -39,7 +23,12 @@ $(BUILD)/config.status: configure
 		--infodir=/usr/share/info \
 		--sysconfdir=/etc \
 		--sharedstatedir=/var/lib \
-		--localstatedir=/var/lib
+		--localstatedir=/var/lib && \
+	    sed < libtool > libtool-2 \
+	    -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__NO_RPATH_PLEASE "/' \
+	    -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
+	    mv -f libtool-2 libtool && \
+	    chmod 755 libtool
 
 clean:
 	$(checkdir)
@@ -59,7 +48,7 @@ binary: binary-arch binary-indep
 binary-trees: build
 	$(checkdir)
 	-$(RM) -r debian/tmp-{main,dev}
-	install -d debian/tmp-{main,dev}/{DEBIAN,etc/dpkg,usr/share/doc/dpkg}
+	install -d debian/tmp-{main,dev}/{DEBIAN,etc,usr/share/doc/dpkg}
 	install -d debian/tmp-dev/usr/{lib/dpkg,share/doc/dpkg-dev,sbin,bin}
 	install -d debian/tmp-dev/usr/share/man/{ja/man1,man1,ja/man8,man8}
 	install -d debian/tmp-dev/usr/share/emacs/site-lisp/dpkg-dev
@@ -69,11 +58,6 @@ binary-trees: build
 	else \
 		sed -e '/^# i386elf: /d' debian/preinst >$(mcidir)/preinst ; \
 	fi
-	set -e; if [ -f debian/shlibs.default.$(arch) ]; then \
-		echo /etc/dpkg/shlibs.default >debian/tmp-dev/DEBIAN/conffiles ; \
-		cp debian/shlibs.default.$(arch) \
-			debian/tmp-dev/etc/dpkg/shlibs.default ; \
-	fi
 	cp debian/{prerm,postinst} $(mcidir)/.
 	$(MAKE) -C $(BUILD) top_distdir=. dist 
 	$(MAKE) -C $(BUILD) \

+ 0 - 15
debian/shlibs.default.i386

@@ -1,15 +0,0 @@
-libc 6		libc6
-libm 6		libc6
-libncurses 4  libncurses4
-libICE  6       xlib6g (>= 3.3-5)
-libPEX5 6       xlib6g (>= 3.3-5)
-libSM   6       xlib6g (>= 3.3-5)
-libX11  6       xlib6g (>= 3.3-5)
-libXIE  6       xlib6g (>= 3.3-5)
-libXaw  6       xlib6g (>= 3.3-5)
-libXext 6       xlib6g (>= 3.3-5)
-libXi   6       xlib6g (>= 3.3-5)
-libXmu  6       xlib6g (>= 3.3-5)
-libXt   6       xlib6g (>= 3.3-5)
-libXtst 6       xlib6g (>= 3.3-5)
-libXp   6       xlib6g (>= 3.3-5)

+ 7 - 6
doc/Makefile.am

@@ -81,17 +81,18 @@ database-structure.monops: database-structure.ps
 	mv -f ps $@
 
 install-data-local: $(HTMLDOCSTAMPS)
-	$(mkinstalldirs) $(pkgdocdir)
-	$(INSTALL_DATA) $(top_srcdir)/debian/changelog $(pkgdocdir)/changelog
-	$(INSTALL_DATA) $(srcdir)/changelog $(pkgdocdir)/changelog.manuals
+	$(mkinstalldirs) $(DESTDIR)$(pkgdocdir)
+	$(INSTALL_DATA) $(top_srcdir)/debian/changelog $(DESTDIR)$(pkgdocdir)/changelog
+	$(INSTALL_DATA) $(srcdir)/changelog $(DESTDIR)$(pkgdocdir)/changelog.manuals
 	set -e; for f in $^; do \
 		g=`echo $$f | sed -e 's/-stamp$$//'`; \
-		cp -r $$g $(pkgdocdir)/`basename $$g`; \
+		cp -r $$g $(DESTDIR)$(pkgdocdir)/`basename $$g`; \
 	done
 
 uninstall-local:
-	-$(RM) $(pkgdocdir)/changelog.manuals $(pkgdocdir)/changelog
-	-cd $(pkgdocdir) && rm -rf $(HTMLDIRS)
+	-$(RM) $(DESTDIR)$(pkgdocdir)/changelog.manuals \
+		$(DESTDIR)$(pkgdocdir)/changelog
+	-cd $(DESTDIR)$(pkgdocdir) && rm -rf $(HTMLDIRS)
 
 dist-hook: $(HTMLDOCSTAMPS) $(HARDCOPY) internals.sgmls internals.texi internals.info
 	cp -p $^ $(distdir)

+ 2 - 2
main/processarc.c

@@ -604,8 +604,8 @@ void process_archive(const char *filename) {
       /* If we can't stat the old or new file, or it's a directory,
        * we leave it up to the normal code
        */
-      debug(dbg_eachfile, "process_archive: checking %s for same files on
-	  upgrade/downgrade", fnamevb.buf);
+      debug(dbg_eachfile, "process_archive: checking %s for same files on "
+	  "upgrade/downgrade", fnamevb.buf);
       if (!lstat(fnamevb.buf, &oldfs) && !S_ISDIR(oldfs.st_mode)) {
 	for (cfile = newfileslist; cfile; cfile = cfile->next) {
           if (lstat(cfile->namenode->name, &newfs) || S_ISDIR(newfs.st_mode))

文件差異過大導致無法顯示
+ 311 - 262
po/dpkg.pot


+ 1 - 1
po/en.po

@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 1999-10-17 22:55-0400\n"
+"POT-Creation-Date: 1999-10-18 00:25-0400\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"

+ 1 - 1
po/es.po

@@ -1,7 +1,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: dpkg\n"
-"POT-Creation-Date: 1999-10-17 22:55-0400\n"
+"POT-Creation-Date: 1999-10-18 00:25-0400\n"
 "PO-Revision-Date: 1999-05-31 00:40-0300\n"
 "Last-Translator: Nicolás Lictmaier <nick@debian.org>\n"
 "Language-Team: es\n"

+ 1 - 1
po/fr.po

@@ -17,7 +17,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian dpkg 1.4.0.14\n"
-"POT-Creation-Date: 1999-10-17 22:55-0400\n"
+"POT-Creation-Date: 1999-10-18 00:25-0400\n"
 "PO-Revision-Date: 1997-05-13 22:07 EDT\n"
 "Last-Translator: Christophe Le Bars <clebars@debian.org>\n"
 "Language-Team: French\n"

+ 1 - 1
po/ja_JP.ujis.po

@@ -17,7 +17,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: 1.4.0.22\n"
-"POT-Creation-Date: 1999-10-17 22:55-0400\n"
+"POT-Creation-Date: 1999-10-18 00:25-0400\n"
 "PO-Revision-Date: 1999-03-06 16:25+09:00\n"
 "Last-Translator: Masato Taruishi <taru@debian.or.jp>\n"
 "Language-Team: Japanease <taru@debian.or.jp>\n"

+ 20 - 0
po/update.sh

@@ -0,0 +1,20 @@
+#!/bin/sh
+
+xgettext --default-domain=dpkg --directory=.. \
+	 --add-comments --keyword=_ --keyword=N_ \
+	 --files-from=POTFILES.in && test ! -f dpkg.po \
+	 || ( rm -f dpkg.pot && mv dpkg.po dpkg.pot )
+
+catalogs='en.gmo fr.gmo es.gmo ja_JP.ujis.gmo'
+for cat in $catalogs; do
+  lang=`echo $cat | sed 's/\.gmo$//'`
+  mv $lang.po $lang.old.po
+  echo "$lang:"
+  if msgmerge $lang.old.po dpkg.pot -o $lang.po; then
+    rm -f $lang.old.po
+  else
+    echo "msgmerge for $cat failed!"
+    rm -f $lang.po
+    mv $lang.old.po $lang.po
+  fi
+done

+ 12 - 2
release.sh

@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 
 # Wichert: thought this might be useful :) -- Ben
 
@@ -12,5 +12,15 @@ rm -f `find . -name .cvsignore -type f`
 # Remove any cruft files...
 rm -f `find . -name '*.orig' -o -name '*.rej' -o -name '*~'`
 
+# Generate all the gettext stuff
+cd po
+./update.sh
+catalogs='en.gmo fr.gmo es.gmo ja_JP.ujis.gmo'
+for cat in $catalogs; do
+  lang=`echo $cat | sed 's/\.gmo$//'`
+  msgfmt -o $cat $lang.po
+done
+cd ..
+
 # Now remove the CVS scripts
-rm -f autogen.sh release.sh
+rm -f autogen.sh release.sh po/update.sh

+ 9 - 9
scripts/Makefile.am

@@ -77,16 +77,16 @@ dpkg-scansources.8: dpkg-scansources.pl
 	mv $@.new $@
 
 install-data-local: cl-debian
-	$(mkinstalldirs) $(altslocalstatedir) $(altssysconfdir)
-	set -e; for f in $(LSMANL); do ln -sf $(mandir)/man1/dpkg-source.1 $(mandir)/man1/$$f.1; done
-	$(mkinstalldirs) $(parsechangelogdir)
-	$(INSTALL_PROGRAM) cl-debian $(parsechangelogdir)/debian
+	$(mkinstalldirs) $(DESTDIR)$(altslocalstatedir) $(DESTDIR)$(altssysconfdir)
+	set -e; for f in $(LSMANL); do ln -sf $(mandir)/man1/dpkg-source.1 $(DESTDIR)$(mandir)/man1/$$f.1; done
+	$(mkinstalldirs) $(DESTDIR)$(parsechangelogdir)
+	$(INSTALL_PROGRAM) cl-debian $(DESTDIR)$(parsechangelogdir)/debian
 
 uninstall-local:
-	$(RM) $(parsechangelogdir)/debian
-	-[ -e $(parsechangelogdir) ] && rmdir $(parsechangelogdir)
-	set -e; for f in $(LSMANL); do $(RM) $(mandir)/man1/$$f.1; done
-	-[ -e $(altssysconfdir) ] && rmdir $(altssysconfdir)
-	-[ -e $(altslocalstatedir) ] && rmdir $(altslocalstatedir)
+	$(RM) $(DESTDIR)$(parsechangelogdir)/debian
+	-[ -e $(DESTDIR)$(parsechangelogdir) ] && rmdir $(DESTDIR)$(parsechangelogdir)
+	set -e; for f in $(LSMANL); do $(RM) $(DESTDIR)$(mandir)/man1/$$f.1; done
+	-[ -e $(DESTDIR)$(altssysconfdir) ] && rmdir $(DESTDIR)$(altssysconfdir)
+	-[ -e $(DESTDIR)$(altslocalstatedir) ] && rmdir $(DESTDIR)$(altslocalstatedir)
 
 ## End of file.

+ 4 - 0
scripts/dpkg-architecture.pl

@@ -47,10 +47,14 @@ require 'controllib.pl';
 
 %archtable=('i386',      'i386-linux',
 	    'sparc',     'sparc-linux',
+	    'sparc64',   'sparc64-linux',
 	    'alpha',     'alpha-linux',
 	    'm68k',      'm68k-linux',
             'arm',       'arm-linux',
             'powerpc',   'powerpc-linux',
+	    'mips',      'mips-linux',
+	    'mipsel',    'mipsel-linux',
+	    'mipseb',    'mipseb-linux',
 	    'hurd-i386', 'i386-gnu');
 
 sub usageversion {